summaryrefslogtreecommitdiffstats
path: root/development/liberica-jdk-bin
diff options
context:
space:
mode:
Diffstat (limited to 'development/liberica-jdk-bin')
-rw-r--r--development/liberica-jdk-bin/README23
-rw-r--r--development/liberica-jdk-bin/liberica-jdk-bin.SlackBuild89
-rw-r--r--development/liberica-jdk-bin/liberica-jdk-bin.info10
-rw-r--r--development/liberica-jdk-bin/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/development/liberica-jdk-bin/README b/development/liberica-jdk-bin/README
new file mode 100644
index 0000000000..81a5fa6934
--- /dev/null
+++ b/development/liberica-jdk-bin/README
@@ -0,0 +1,23 @@
+Liberica JDK is a distribution of the Java Development Kit (JDK)
+developed by BellSoft. It is a free and open source implementation of
+the Java platform, and it provides compatibility with the Java SE
+standard while also offering additional features and optimizations. All
+Liberica JDK builds pass the Technology Compatibility Kit verification
+before release.
+
+Liberica JDK supports many Java versions, including both the latest and
+legacy versions. It supports x86 64/32 bit, ARM, and other
+architectures.
+
+There are 3 Liberica JDK distribution flavors:
+* Standard version is best suited for server and desktop deployments
+ that do not require any additional components;
+* Full version of Liberica includes LibericaFX, which is based on
+ OpenJFX and Minimal VM, where suitable;
+* Lite version of Liberica works best for cloud deployments and is
+ optimized for size;
+as well as JRE and JDK builds.
+
+This SlackBuild packages the binary Liberica JDK distribution. The .info
+file refers to the latest LTS version of the Standard Liberica JDK, but
+the script works with any version and flavor of the Liberica JDK/JRE.
diff --git a/development/liberica-jdk-bin/liberica-jdk-bin.SlackBuild b/development/liberica-jdk-bin/liberica-jdk-bin.SlackBuild
new file mode 100644
index 0000000000..40f05d729e
--- /dev/null
+++ b/development/liberica-jdk-bin/liberica-jdk-bin.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for liberica-jdk-bin
+
+# Copyright 2023-2024, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=liberica-jdk-bin
+VERSION=${VERSION:-21.0.3+12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ ARCH=$( uname -m )
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case $ARCH in
+ x86_64 | aarch64 ) LIBDIRSUFFIX="64" ;;
+ *) LIBDIRSUFFIX="" ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/usr/lib$LIBDIRSUFFIX
+cd $PKG/usr/lib$LIBDIRSUFFIX
+tar xvf $CWD/bellsoft-j*${VERSION}-linux-*.tar.gz
+JDKNAM=$(find . -type d -maxdepth 1 -mindepth 1 -printf "%f\n")
+mv $JDKNAM liberica-$JDKNAM
+
+find -L liberica-$JDKNAM/lib -type f -name "*.so" -exec chmod 755 {} \;
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/etc/profile.d
+cat > $PKG/etc/profile.d/liberica-jdk-bin.csh << EOF
+setenv JAVA_HOME /usr/lib${LIBDIRSUFFIX}/liberica-${JDKNAM}
+setenv PATH \${PATH}:\${JAVA_HOME}/bin
+EOF
+cat > $PKG/etc/profile.d/liberica-jdk-bin.sh << EOF
+export JAVA_HOME="/usr/lib${LIBDIRSUFFIX}/liberica-${JDKNAM}"
+export PATH="\${PATH}:\${JAVA_HOME}/bin"
+EOF
+
+chmod 0755 $PKG/etc/profile.d/liberica-jdk-bin.csh
+chmod 0755 $PKG/etc/profile.d/liberica-jdk-bin.sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/liberica-jdk-bin/liberica-jdk-bin.info b/development/liberica-jdk-bin/liberica-jdk-bin.info
new file mode 100644
index 0000000000..5e56a96f70
--- /dev/null
+++ b/development/liberica-jdk-bin/liberica-jdk-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="liberica-jdk-bin"
+VERSION="21.0.3+12"
+HOMEPAGE="https://github.com/bell-sw/Liberica"
+DOWNLOAD="https://github.com/bell-sw/Liberica/releases/download/21.0.3+12/bellsoft-jdk21.0.3+12-linux-i586.tar.gz"
+MD5SUM="5af27da5d63e40fa3a6d19abaa93c0f6"
+DOWNLOAD_x86_64="https://github.com/bell-sw/Liberica/releases/download/21.0.3+12/bellsoft-jdk21.0.3+12-linux-amd64.tar.gz"
+MD5SUM_x86_64="dc876c90f8e3f30fab51e82fd947d251"
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/development/liberica-jdk-bin/slack-desc b/development/liberica-jdk-bin/slack-desc
new file mode 100644
index 0000000000..bc88f6b1b7
--- /dev/null
+++ b/development/liberica-jdk-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+liberica-jdk-bin: liberica-jdk-bin (JDK distribution)
+liberica-jdk-bin:
+liberica-jdk-bin: Liberica JDK is a distribution of the Java Development Kit (JDK)
+liberica-jdk-bin: developed by BellSoft. It is a free and open source implementation of
+liberica-jdk-bin: the Java platform, and it provides compatibility with the Java SE
+liberica-jdk-bin: standard while also offering additional features and optimizations.
+liberica-jdk-bin:
+liberica-jdk-bin:
+liberica-jdk-bin: Homepage: https://github.com/bell-sw/Liberica
+liberica-jdk-bin:
+liberica-jdk-bin: